#ifndef cTearsStartupMenu_H
#define cTearsStartupMenu_H

#include "cDisplay.h"
#include "cPictureWindow.h"
#include "cWinApp.h"

enum eStartupMenuItemID{
	SMID_CANCEL = 1000,
	SMID_START,
	SMID_EXIT
};

class cTearsStartupMenu : public cPictureWindow{
private:
	static BOOL ClassRegistered;
	
protected:
	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "TearsStartupMenu"; }
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	cPicture BackPic; //, BtnPic[2];

public:
	cTearsStartupMenu();
	virtual ~cTearsStartupMenu();

	virtual BOOL Create(LPCTSTR lpWindowName, DWORD dwStyle, 
		int x, int y, int nWidth, int nHeight, 
		cWindow *pParentWindow, int id, cDisplay *_pDisplay);
	virtual void Destroy();
};

#endif
